Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.tr
Interface OutputMethod

public interface OutputMethod

collects the attributes from the xsl:output element which determine the type of output we are to produce

Method Summary
`Name[]` | `getAttributeNames()` all the known output method attribute names, excluding "method" and "cdata-section-elements"
`Name[]` | `getCdataSectionElements()` the "cdata-section-elements" attribute
`Name` | `getName()` i.e.
`NameTable` | `getNameTable()` used for obtaining Names from namespace / localName pairs
`java.lang.String` | `getPropertyValue(Name name)` gets the value specified in the stylesheet, if available, else gets the defaulted value
`java.lang.String` | `getSpecifiedValue(Name name)` return the value for the named output method attribute, only if that attribute was specified in the stylesheet

Method Detail

### getName

    public Name getName()

  i.e. "text", "xml", "html", etc

### getCdataSectionElements

    public Name[] getCdataSectionElements()

  the "cdata-section-elements" attribute

### getNameTable

    public NameTable getNameTable()

  used for obtaining Names from namespace / localName pairs

### getSpecifiedValue

    public java.lang.String getSpecifiedValue(Name name)

  return the value for the named output method attribute, only if that attribute was specified in the stylesheet

  Returns:
    null if the value was not declared in the stylesheet

### getAttributeNames

    public Name[] getAttributeNames()

  all the known output method attribute names, excluding "method" and "cdata-section-elements"

### getPropertyValue

    public java.lang.String getPropertyValue(Name name)

  gets the value specified in the stylesheet, if available, else gets the defaulted value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD